module AutocompleteService
  include HttpRestClient

  VEHICLE_AUTOCOMPLETE_URL = "#{BASE_URL}/UsedCarWS/UsedCarWS/Autocomplete".freeze

  def lookup_autocomplete(query_params = {})
    begin
      response = HTTParty.get(VEHICLE_AUTOCOMPLETE_URL, headers: headers, query: query_params)
      process_response(JSON.parse(response.body), :transformer)
    rescue => e
      [{ error: e.to_s }, 500]
    end
  end

  def transformer(response)
    return [] unless response && response['autocomplete']
    response['autocomplete']
  end
end
