module RangeValuesMapper
  def self.map_fields(response)
    return {} unless response&.dig('used_vehicles', 'used_vehicle_list')
    vehicle_range = response['used_vehicles']['used_vehicle_list'][0]

    return {
        range: {
          xclean: vehicle_range['adjusted_whole_xclean'],
          clean: vehicle_range['adjusted_whole_clean'],
          average: vehicle_range['adjusted_whole_avg'],
          rough: vehicle_range['adjusted_whole_rough']
        }
    }
  end
end
